import factory
from factory.django import DjangoModelFactory

from vbv_lernwelt.course.factories import CourseFactory
from vbv_lernwelt.course.models import CourseSession
from vbv_lernwelt.course_session.models import (
    CourseSessionAssignment,
    CourseSessionAttendanceCourse,
)


class CourseSessionAssignmentFactory(DjangoModelFactory):
    class Meta:
        model = CourseSessionAssignment


class CourseSessionAttendanceCourseFactory(DjangoModelFactory):
    class Meta:
        model = CourseSessionAttendanceCourse


class CourseSessionFactory(DjangoModelFactory):
    class Meta:
        model = CourseSession

    course = CourseFactory()
